Index: CHANGES
===================================================================
--- CHANGES	(revision 418910)
+++ CHANGES	(working copy)
@@ -133,6 +133,9 @@
    features were provided exclusively by the caller of ast_bridge_join()
    outside of "basic" type bridges.
 
+ * Channel variables are now substituted in arguments passed to applications
+   run by using dynamic features.
+
 JACK_HOOK
 ------------------
  * The JACK_HOOK function now supports audio with a sample rate higher than
Index: main/bridge_channel.c
===================================================================
--- main/bridge_channel.c	(revision 418910)
+++ main/bridge_channel.c	(working copy)
@@ -1017,7 +1017,16 @@
 		if (!app) {
 			ast_log(LOG_WARNING, "Could not find application (%s)\n", app_name);
 		} else {
-			res = pbx_exec(chan, app, app_args);
+			struct ast_str *substitutedargs = ast_str_create(16);
+
+			if (substitutedargs) {
+				ast_str_substitute_variables(&substitutedargs, 0, chan, app_args);
+				res = pbx_exec(chan, app, ast_str_buffer(substitutedargs));
+				ast_free(substitutedargs);
+			} else {
+				ast_log(LOG_WARNING, "Could not substitute application argument variables for %s\n", app_name);
+				res = pbx_exec(chan, app, app_args);
+			}
 		}
 	}
 	return res;
